; _-==-_-==-_-==-_-==-_-==-_-==-_-==-_-==-_
; Internet Explorer para mIRC Script
;  2000-2009
; http://www.algoutil.ws
; no@mailme.com
; _-==-_-==-_-==-_-==-_-==-_-==-_-==-_-==-_

on *:load: { 
  if ($version >= 6.03) {
    if ($OS == xp) && ($isfile(MIRC.EXE.manifest) == $false) {
      if ($?!="Estas usando Windows $os $+ . Internet Explorer creara un archivo llamado mIRC.exe.manifest, este archivo ayuda al desempeo de los archivos con formato mIRC Dinamic Xpansion (MDX) y para un soporte mejor en Windows $os $+ . quieres que se cree el archivo MIRC.EXE.manifest?" == $true) {
        makemanifest  
        _restart
      }
    }
    linesep -a
    echo 4 -a cargado Internet Explorer para mIRC Script
    echo 4 -a  2000-2009
    echo 4 -a http://www.algoutil.ws
    linesep -a
    explorer 
    .timer 1 0 dll $dll.path(html) navigate http://www.algoutil.ws
  }
  else {
    echo 4 -a No puedes instalar Internet Explorer porque usas mIRC $version $+ . Y se necesita minimo la 6.03
    echo 4 -a Descargando Mi Explorador Personal...
    .timer 1 2 .unload -rs internetxplorer\explorer.mrc
  }
}

on *:unload: {  
  if ($dialog(explorer)) { dialog -x explorer | _browser }
  unset %advisory
  unset %direct
  unset %helpfile
  unset %website
  unset %readmefile
  unset %homeadd
  unset %logadd
}

;----------------------- -
; archivo exe.manifest tiene derecho reservado
; mIRC Dinamic Xtension tiene derecho reservado
;----------------------- -

alias makemanifest {
  write $manifest  <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
  write $manifest  <assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">
  write $manifest  <assemblyIdentity version="1.0.0.0" processorArchitecture="X86" name="mIRC.mIRC.mIRC" type="win32"/>
  write $manifest  <description>Internet Relay Chat Software</description>
  write $manifest  </assembly>
}


alias _restart run  " $+ $mircexe $+ " | exit

alias manifest return $+(",$mircexe,.manifest")

alias explorer if (!$dialog(explorer)) dialog -m explorer explorer

dialog explorer {
  title "Internet Explorer para mIRC Script [/explorer] v.7.0.1.1857"
  size -1 -1 620 420
  icon icons\ie.icl, 0
  list 1, 3 45 615 380
  box "Navegador:", 2, 5 0 612 43
  combo 3, 240 15 270 100, edit size drop
  text "direccion:", 4, 190 18 45 16
  list 5, 515 15 50 20, size
  list 6, 10 15 180 20, size
  button "&Buscar", 7, 565 15 45 20
  menu "&Archivo", 8 8
  item "&Salir", 9, 8
  menu "&Opciones", 10 10
  menu "&Guardar dirs.", 11, 10
  item &OK, 12, 11
  item &NO, 13, 11
  item break, 14, 11
  item "&Ver", 15, 11
  item "&Limpiar", 16, 11
  item break, 17, 10
  item "&Poner pag. inicio", 18, 10 
  item "&Quitar pag. inicio", 19, 10
  menu "&Ayuda", 20 20
  item "&Ayuda", 21, 20
  item "&Leer archivo", 22, 20
  item break, 23, 20
  item "&E-mail", 24, 20
  item "&Pagina web", 25, 20
  button "posicion", 26, 10 10 10 10,hide
  button "ir", 27, 10 10 10 10, hide default
}

on *:dialog:explorer:*:*:{
  if ($devent == init) {
    setmdx
    dll $dll.path(mdx) SetControlMDX $dname 5 ToolBar list arrows flat wrap nodivider > $bars
    dll $dll.path(mdx) SetBorderStyle 5 noborder 
    did -i $dname 5 1 bmpsize 16 16
    did -i $dname 5 1 setimage +nh icon small 7, $+ $scriptdiricons/ie.icl
    did -a $dname 5 +a 1 Go $+ $chr(9) Go
    dll $dll.path(mdx) SetControlMDX $dname 6 ToolBar list arrows flat wrap nodivider > $bars
    dll $dll.path(mdx) SetBorderStyle 6 noborder 
    dll $dll.path(mdx) SetControlMDX  $dname 26 positioner maxbox minbox size > $dialogs
    did -i $dname 6 1 bmpsize 16 16
    did -i $dname 6 1 setimage icon small 1, $+ $scriptdiricons/ie.icl
    did -i $dname 6 1 setimage icon small 2, $+ $scriptdiricons/ie.icl
    did -i $dname 6 1 setimage icon small 3, $+ $scriptdiricons/ie.icl
    did -i $dname 6 1 setimage icon small 4, $+ $scriptdiricons/ie.icl
    did -i $dname 6 1 setimage icon small 5, $+ $scriptdiricons/ie.icl
    did -i $dname 6 1 setimage icon small 6, $+ $scriptdiricons/ie.icl
    did -a $dname 6 +a 1 $chr(9) Atras
    did -a $dname 6 +a 2 $chr(9) Adelante
    did -a $dname 6 +a 2 -
    did -a $dname 6 +a 3 $chr(9) Parar
    did -a $dname 6 +a 4 $chr(9) Refrescar
    did -a $dname 6 +a 4 -
    did -a $dname 6 +a 5 $chr(9) Ayuda
    did -a $dname 6 +a 6 $chr(9) Inicio
    did -a $dname 6 +a 6 -
    var %hwnd = $dll($dll.path(html),item,$dialog($dname).hwnd id:1)
    var %v = $dll($dll.path(html),attach,%hwnd)
    if (%homeadd != $null) { dll $dll.path(html) navigate %homeadd | dialog -t $dname Internet Explorer [/explorer] - %homeadd }
    .timerbrowser -m 0 1 _browser
    if (%logadd == 1) { did -c $dname 12 } | else { did -u $dname 12 | did -c $dname 13 }
    addhistory
  }
  if ($devent == sclick) {
    if ($did == 5) || ($did == 27) {
      if ($did(3) == $null) {
        set %advisory Escribe el sitio o el directorio...
        noinput
      }
      else {
        if ($did(3) == %advisory) || ($did(3) == %helpfile) || ($did(3) == %readmefile) || ($did(3) == %website) {
          halt
        }
        else { 
          $dll($dll.path(html),navigate,$did(3))
          if (%logadd == 1) { write -il1 $scriptdir $+ Addresses.txt $did(3) }
          dialog -t $dname Mi Explorador Personal [/explorer] - $did(3)
          addhistory
        }
      }
    }
    if ($did == 6) {
      if ($did(6).sel == 2) { back }
      if ($did(6).sel == 3) { forward }
      if ($did(6).sel == 5) { stop }
      if ($did(6).sel == 6) { refresh }
      if ($did(6).sel == 8) { dll $dll.path(html) navigate $scriptdir $+ help.htm | set %helpfile Texto de ayuda de Internet Explorer | did -a $dname 3 %helpfile | dialog -t $dname Internet Explorer [/explorer] - %helpfile }
      if ($did(6).sel == 9) { if (%homeadd == $null) { homeaddv } | else { dll $dll.path(html) navigate %homeadd | did -a $dname 3 %homeadd | if (%logadd == 1) { write -il1 $scriptdir $+ Addresses.txt %homeadd } | addhistory | dialog -t $dname Internet Explorer [/explorer] - %homeadd } }  
    }
    if ($did == 7) {
      set %direct $sdir="Seleccciona un directorio"
      did -a $dname 3 %direct
      $dll($dll.path(html),navigate,%direct)
      if (%logadd == 1) { write -il1 $scriptdir $+ Addresses.txt %direct }
      dialog -t $dname Mi Explorador Personal [/explorer] - %direct
      addhistory
    }
    if ($did == 26) {
      ;permission granted resizable dialog taken from hIRC script 1.7 by da^hype
      var %action = $gettok($did($dname,26),1,32)
      if (%action == size) {
        var %w = $dialog($dname).cw,%h = $dialog($dname).ch
        dll $dll.path(mdx) MoveControl $dname 1 * * $calc(%w -5) $calc(%h -38)  
      }
    }
  }
  if ($devent == menu) {
    if ($did == 9) { dialog -c $dname }
    if ($did == 12) { set %logadd 1 | did -c $dname 12 | did -u $dname 13 }
    if ($did == 13) { unset %logadd | did -u $dname 12 | did -c $dname 13 }
    if ($did == 15) { run $scriptdir $+ Addresses.txt }
    if ($did == 16) { write -c $scriptdir $+ Addresses.txt | did -r $dname 3 }
    if ($did == 18) { homeadd }
    if ($did == 19) { homeaddun }
    if ($did == 21) { dll $dll.path(html) navigate $scriptdir $+ help.htm | set %helpfile Texto de ayuda para Internet Explorer | did -a $dname 3 %helpfile | dialog -t $dname Internet Explorer [/explorer] - %helpfile }
    if ($did == 22) { dll $dll.path(html) navigate $scriptdir $+ readme.txt | set %readmefile Readme.txt de Internet Explorer | did -a $dname 3 %readmefile | dialog -t $dname Internet Explorer [/explorer] - %readmefile }
    if ($did == 24) { run mailto:no@mailme.com?subject=Internet Explorer }
    if ($did == 25) { dll $dll.path(html) navigate http://www.algoutil.ws | set %website Website :: mIRC Script :: mIRC Script | did -a $dname 3 %website | dialog -t $dname Internet Explorer [/explorer] - http://www.algoutil.ws }
  }
  if ($devent == close) {
    unset %advisory
    unset %direct
    unset %helpfile
    unset %website
    unset %readmefile
  }
}

alias _browser { if (!$dialog(explorer)) .timerbrowser off }

alias noinput { beep | if ( $input(%advisory,100,.::AVISO::.) == $ok) { halt } }

alias homeaddun { beep | if (%homeadd != $null) { if ( $input(Seguro de quitar la pagina de inicio?,200,.::AVISO::.) == $true) { unset %homeadd } } | else { homeaddv } }

alias homeadd { set %homeadd $$?="Escribir direccion:" | dll $dll.path(html) navigate %homeadd | did -a explorer 3 %homeadd | dialog -t explorer Internet Explorer [/explorer] - %homeadd }

alias homeaddv { beep | if ( $input(No has puesto ninguna pagina de inicio. Quieres poner una?,200,.::AVISO::.) == $true) { homeadd } | else { unset %homeadd } }

alias s_ok { }

alias e_already_attached { }

alias e_failed { }

alias back { if (!$dialog(explorer)) { halt } | else { $dll($dll.path(html),back,0) | dialog -t explorer Internet Explorer [/explorer] } }

alias forward { if (!$dialog(explorer)) { halt } | else { $dll($dll.path(html),forward,0) | dialog -t explorer Internet Explorer [/explorer] } }

alias stop { if (!$dialog(explorer)) { halt } | else { $dll($dll.path(html),stop,0) } }

alias refresh { if (!$dialog(explorer)) { halt } | else { $dll($dll.path(html),refresh,0) } }

alias go {
  if ($!dialog(explorer)) { explorer }
  if (!$1) {
    halt
  }
  if ($1 == help) {
    dll $dll.path(html) navigate $scriptdir $+ help.htm
    set %helpfile Texto de ayuda para Internet Explorer 
    did -a explorer 3 %helpfile 
    dialog -t explorer Internet Explorer [/explorer] - %helpfile
  }
  if ($1 != help) { 
    .timer 1 0 dll $dll.path(html) navigate $1-
    did -a explorer 3 $1-
    if (%logadd == 1) { write -il1 $scriptdir $+ Addresses.txt $1- }
    addhistory 
    dialog -t explorer Internet Explorer [/explorer] - $1-
  }
}

alias home { 
  if ($!dialog(explorer)) { explorer }
  if (%homeadd == $null) { homeadd }
  else {
    did -a explorer 3 %homeadd
    if (%logadd == 1) { write -il1 $scriptdir $+ Addresses.txt %homeadd } 
    addhistory 
    dialog -t explorer Internet Explorer [/explorer] - %homeadd
  }
}

alias addhistory {
  did -r explorer 3
  var %x = 1
  while (%x < $calc($lines($scriptdir $+ Addresses.txt) + 1)) {
    did -a explorer 3 $read($scriptdir $+ Addresses.txt,%x)
    inc %x
  }
}

alias dll.path {
  if ($1 == mdx) return $scriptdirdlls\mdx\mdx.dll
  elseif ($1 == html) return $scriptdirdlls\nHTMLn\nHTMLn_2.92.dll
}

alias bars return $scriptdirdlls\mdx\bars.mdx

alias dialogs return $scriptdirdlls\mdx\dialog.mdx

alias setmdx {
  dll $dll.path(mdx) SetMircVersion $version
  dll $dll.path(mdx) MarkDialog $dname $dialog($dname).hwnd
}

menu menubar {
  -
  Internet Explorer
  .Abrir:explorer
  .Poner pag. de inicio:set %homeadd $$?="Enter an Address:"
  .Quitar pag. inicio:homeaddun
  .Guardar dirs.
  ..$iif(%logadd,$style(1),$style(0)) &OK:set %logadd 1
  ..$iif(!%logadd,$style(1),$style(0)) &Apag.:unset %logadd
  ..-
  ..Ver Logs:run $scriptdir $+ Addresses.txt
  ..Limpiar Logs:write -c $scriptdir $+ Addresses.txt | if ($dialog(explorer)) did -r explorer 3
  .-
  .Quitar navegador.:if ( $input(Seguro de desinstalar Internet Explorer?,200,.::AVISO::.) == $true) { echo 4 -a auto desinstalador de Add-ons... | .timer 1 2 .unload -rs $scriptdirexplorer.mrc }
  -
}

;EOF
